<template>
        <v-layout wrap justify-center  >
          <v-flex  >
            <v-card
              :height="400"
              :elevation="10"
              color="rgb(176, 196 ,222, 0.5) "
              style="border-radius: 8px;"
              class="mx-auto"
            >
              <v-layout wrap  justify-center>
                <v-layout justify-center pt-3>
                    <span><h1 style=" face:mitr Color:263238"  >คลังความรู้ใหม่</h1></span>
                </v-layout>
                <!-- ************************************* hidden only xs**************************** -->
                <v-flex xs12 sm12  d-none d-sm-flex>
                  <v-item-group>
                    <v-flex
                        class="mx-auto "
                    >
                    <!-- *********************slide_box****************** -->
                      <v-slide-group
                        v-model="model"
                        show-arrows
                        mandatory
                        width="1600"

                      >
                      <!-- ********************loop_slide_item********************************** -->
                        <v-slide-item
                          v-for="(item,index) in datas_date"
                          :key="index"

                        >
                        <!-- ************************mouse_event*********************************** -->
                          <v-hover v-slot:default="{ hover }" open-delay="300" close-delay="100">
                              <v-layout wrap  >
                                  <v-container px-3 >
                              <!-- ****************************create_cart*************************** -->
                                  <v-card
                                    @click="detail(item)"
                                    :height="260"
                                    :width="210"
                                    :elevation="hover? 20 : 3"
                                    style="border-radius: 4px;"
                                    class="ma-4 "
                                  >
                                  <v-layout >
                                          <!-- ************************insert_img_incard******************** -->
                                          <v-img
                                              border="left"
                                              class="mx-auto "
                                              height="200px"
                                              width="200px"
                                              :src="test+item.image"
                                              style="border-radius: 4px;"
                                          >
                                              <!-- *************************popup*************************** -->
                                          </v-img>
                                  </v-layout>

                                  <v-layout>
                                      <v-flex xs12 style="text-align:center" >
                                          <!-- ****************************text_box************************** -->
                                          <h3 style=" face:mitr " class="black--text align-end" ><span>{{item.title.substring(0,22)}}</span><br></h3>
                                          <i class="fa fa-calendar black--text" ></i> &nbsp;
                                          <font face="mitr" size="1" class="black--text align-end" >{{convertDate(datas_date[0].date.substring(0,10))}}</font>
                                      </v-flex>
                                  </v-layout>
                                  </v-card>
                                  </v-container>
                              </v-layout>
                          </v-hover>
                          </v-slide-item>
                      </v-slide-group>
                    </v-flex>
                  </v-item-group>
                </v-flex>
              </v-layout>
              <!-- *************************************visible only xs**************************** -->
              <v-layout >
                <v-flex d-flex d-sm-none  >
                  <v-carousel
                    prev-icon=""
                    next-icon=""
                    hide-delimiters
                    cycle
                  >
                    <v-container>
                      <v-carousel-item
                        v-for="(item,index) in datas_date"
                        :key="index"
                      >
                        <v-card
                          @click="detail(item)"
                          height="300"
                          width="100%"
                          elevation= 3
                          style="border-radius: 4px; "
                          class="justify-center"
                          color="white "
                        >
                        <v-layout pt-3>
                                <!-- ************************insert_img_incard******************** -->
                                <v-sheet height="200" width="100%" color="rgb(0, 0 ,0, 0) ">
                                  <v-img
                                      class="mx-auto "
                                      height="100%"
                                      :src="test+item.image"
                                      style="border-radius: 4px;"
                                  >
                                      <!-- *************************popup*************************** -->
                                  </v-img>
                                </v-sheet>
                        </v-layout>

                        <v-layout pt-5>
                            <v-flex xs12 style="text-align:center" >
                                <!-- ****************************text_box************************** -->
                                <h3 ><font face="mitr" size="1" class="black--text align-end" ><span>{{item.title.substring(0,22)}}</span></font><br></h3>
                                <i class="fa fa-calendar black--text" ></i> &nbsp;
                                <font face="mitr" size="1" class="black--text align-end" >{{convertDate(datas_date[0].date.substring(0,10))}}</font>
                            </v-flex>
                        </v-layout>
                        </v-card>
                      </v-carousel-item>
                    </v-container>
                  </v-carousel>
                </v-flex>
              </v-layout>
            </v-card>
          </v-flex>
        </v-layout>
</template>
<script>
export default {
  data () {
    return {
      datas_date: [],
      test: process.env.VUE_APP_API
    }
  },
  created () {
    this.getDataDate()
  },
  methods: {
    async detail (val) {
      console.log('iddddddddddddddddddddddd', val)
      await this.$store.dispatch('get_newknowledge', val)
      console.log('id', this.$store.getters.popknowledge)
      this.$router.push('/knowledge_new_page')
    },
    async getDataDate () {
      console.log('object')
      try {
        var response = await this.axios.get(process.env.VUE_APP_API + '/api/subsubject/landing_page/news_count_with_upload_date')
        console.log('tee', response.data.data)
        this.datas_date = response.data.data
      } catch (error) {
        console.log(error.message)
      }
    },
    convertDate (date) {
      var month = []
      month = ['มกราคม', 'กุมภาพันธ์', 'มีนาคม', 'เมษายน', 'พฤษภาคม', 'มิถุนายน', 'กรกฎาคม', 'สิงหาคม', 'กันยายน', 'ตุลาคม', 'พฤษจิกายน', 'ธันวาคม']
      var y = date.substr(0, 4)
      var m = date.substr(5, 2)
      var d = date.substr(8, 2)
      var dates = parseInt(d) + '  ' + month[parseInt(m) - 1] + '  ' + (parseInt(y))
      return dates
    }
  }

}

</script>

<style>
  .v-card--reveal {
  align-items: center;
  bottom: 0;
  justify-content: center;
  opacity: .8;
  position: absolute;
  width: 100%;
  }

</style>
